Package org.apache.uima.cas.impl

# Interface TypeSystemConstants

All Known Implementing Classes:
  `CASImpl`, `TypeImpl_array`

public interface TypeSystemConstants
This interface defines static final constants for Type Systems For the built-in types and features: - the type and feature codes - the adjOffsets

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `annotBaseSofaFeatAdjOffset`
  `static final int`
  `annotBaseSofaFeatCode`
  `static final int`
  `annotBaseTypeCode`
  `static final int`
  `annotTypeCode`
  `static final int`
  `arrayBaseTypeCode`
  `static final int`
  `beginFeatAdjOffset`
  `static final int`
  `beginFeatCode`
  `static final int`
  `booleanArrayTypeCode`
  `static final int`
  `booleanTypeCode`
  `static final int`
  `byteArrayTypeCode`
  `static final int`
  `byteTypeCode`
  `static final int`
  `docTypeCode`
  `static final int`
  `doubleArrayTypeCode`
  `static final int`
  `doubleTypeCode`
  `static final int`
  `endFeatAdjOffset`
  `static final int`
  `endFeatCode`
  `static final int`
  `floatArrayTypeCode`
  `static final int`
  `floatEListTypeCode`
  `static final int`
  `floatListTypeCode`
  `static final int`
  `floatNeListTypeCode`
  `static final int`
  `floatTypeCode`
  `static final int`
  `fsArrayTypeCode`
  `static final int`
  `fsEListTypeCode`
  `static final int`
  `fsListTypeCode`
  `static final int`
  `fsNeListTypeCode`
  `static final int`
  `intArrayTypeCode`
  `static final int`
  `intEListTypeCode`
  `static final int`
  `intListTypeCode`
  `static final int`
  `intNeListTypeCode`
  `static final int`
  `intTypeCode`
  `static final int`
  `langFeatAdjOffset`
  `static final int`
  `langFeatCode`
  `static final int`
  `longArrayTypeCode`
  `static final int`
  `longTypeCode`
  `static final int`
  `shortArrayTypeCode`
  `static final int`
  `shortTypeCode`
  `static final int`
  `sofaArrayFeatAdjOffset`
  `static final int`
  `sofaArrayFeatCode`
  `static final int`
  `sofaIdFeatAdjOffset`
  `static final int`
  `sofaIdFeatCode`
  `static final int`
  `sofaMimeFeatAdjOffset`
  `static final int`
  `sofaMimeFeatCode`
  `static final int`
  `sofaNumFeatAdjOffset`
  adjOffsets for builtin Features
  `static final int`
  `sofaNumFeatCode`
  Static final constants for built-in features
  `static final int`
  `sofaStringFeatAdjOffset`
  `static final int`
  `sofaStringFeatCode`
  `static final int`
  `sofaTypeCode`
  `static final int`
  `sofaUriFeatAdjOffset`
  `static final int`
  `sofaUriFeatCode`
  `static final int`
  `stringArrayTypeCode`
  `static final int`
  `stringEListTypeCode`
  `static final int`
  `stringListTypeCode`
  `static final int`
  `stringNeListTypeCode`
  `static final int`
  `stringTypeCode`
  `static final int`
  `topTypeCode`
  built-in type codes

- ## Field Details

  - ### topTypeCode

    static final int topTypeCode
    built-in type codes
    See Also:
      - Constant Field Values

  - ### intTypeCode

    static final int intTypeCode
    See Also:
      - Constant Field Values

  - ### floatTypeCode

    static final int floatTypeCode
    See Also:
      - Constant Field Values

  - ### stringTypeCode

    static final int stringTypeCode
    See Also:
      - Constant Field Values

  - ### arrayBaseTypeCode

    static final int arrayBaseTypeCode
    See Also:
      - Constant Field Values

  - ### fsArrayTypeCode

    static final int fsArrayTypeCode
    See Also:
      - Constant Field Values

  - ### floatArrayTypeCode

    static final int floatArrayTypeCode
    See Also:
      - Constant Field Values

  - ### intArrayTypeCode

    static final int intArrayTypeCode
    See Also:
      - Constant Field Values

  - ### stringArrayTypeCode

    static final int stringArrayTypeCode
    See Also:
      - Constant Field Values

  - ### fsListTypeCode

    static final int fsListTypeCode
    See Also:
      - Constant Field Values

  - ### fsEListTypeCode

    static final int fsEListTypeCode
    See Also:
      - Constant Field Values

  - ### fsNeListTypeCode

    static final int fsNeListTypeCode
    See Also:
      - Constant Field Values

  - ### floatListTypeCode

    static final int floatListTypeCode
    See Also:
      - Constant Field Values

  - ### floatEListTypeCode

    static final int floatEListTypeCode
    See Also:
      - Constant Field Values

  - ### floatNeListTypeCode

    static final int floatNeListTypeCode
    See Also:
      - Constant Field Values

  - ### intListTypeCode

    static final int intListTypeCode
    See Also:
      - Constant Field Values

  - ### intEListTypeCode

    static final int intEListTypeCode
    See Also:
      - Constant Field Values

  - ### intNeListTypeCode

    static final int intNeListTypeCode
    See Also:
      - Constant Field Values

  - ### stringListTypeCode

    static final int stringListTypeCode
    See Also:
      - Constant Field Values

  - ### stringEListTypeCode

    static final int stringEListTypeCode
    See Also:
      - Constant Field Values

  - ### stringNeListTypeCode

    static final int stringNeListTypeCode
    See Also:
      - Constant Field Values

  - ### booleanTypeCode

    static final int booleanTypeCode
    See Also:
      - Constant Field Values

  - ### byteTypeCode

    static final int byteTypeCode
    See Also:
      - Constant Field Values

  - ### shortTypeCode

    static final int shortTypeCode
    See Also:
      - Constant Field Values

  - ### longTypeCode

    static final int longTypeCode
    See Also:
      - Constant Field Values

  - ### doubleTypeCode

    static final int doubleTypeCode
    See Also:
      - Constant Field Values

  - ### booleanArrayTypeCode

    static final int booleanArrayTypeCode
    See Also:
      - Constant Field Values

  - ### byteArrayTypeCode

    static final int byteArrayTypeCode
    See Also:
      - Constant Field Values

  - ### shortArrayTypeCode

    static final int shortArrayTypeCode
    See Also:
      - Constant Field Values

  - ### longArrayTypeCode

    static final int longArrayTypeCode
    See Also:
      - Constant Field Values

  - ### doubleArrayTypeCode

    static final int doubleArrayTypeCode
    See Also:
      - Constant Field Values

  - ### sofaTypeCode

    static final int sofaTypeCode
    See Also:
      - Constant Field Values

  - ### annotBaseTypeCode

    static final int annotBaseTypeCode
    See Also:
      - Constant Field Values

  - ### annotTypeCode

    static final int annotTypeCode
    See Also:
      - Constant Field Values

  - ### docTypeCode

    static final int docTypeCode
    See Also:
      - Constant Field Values

  - ### sofaNumFeatCode

    static final int sofaNumFeatCode
    Static final constants for built-in features
    See Also:
      - Constant Field Values

  - ### sofaIdFeatCode

    static final int sofaIdFeatCode
    See Also:
      - Constant Field Values

  - ### sofaStringFeatCode

    static final int sofaStringFeatCode
    See Also:
      - Constant Field Values

  - ### sofaMimeFeatCode

    static final int sofaMimeFeatCode
    See Also:
      - Constant Field Values

  - ### sofaUriFeatCode

    static final int sofaUriFeatCode
    See Also:
      - Constant Field Values

  - ### sofaArrayFeatCode

    static final int sofaArrayFeatCode
    See Also:
      - Constant Field Values

  - ### annotBaseSofaFeatCode

    static final int annotBaseSofaFeatCode
    See Also:
      - Constant Field Values

  - ### beginFeatCode

    static final int beginFeatCode
    See Also:
      - Constant Field Values

  - ### endFeatCode

    static final int endFeatCode
    See Also:
      - Constant Field Values

  - ### langFeatCode

    static final int langFeatCode
    See Also:
      - Constant Field Values

  - ### sofaNumFeatAdjOffset

    static final int sofaNumFeatAdjOffset
    adjOffsets for builtin Features

  - ### sofaIdFeatAdjOffset

    static final int sofaIdFeatAdjOffset

  - ### sofaStringFeatAdjOffset

    static final int sofaStringFeatAdjOffset

  - ### sofaMimeFeatAdjOffset

    static final int sofaMimeFeatAdjOffset

  - ### sofaUriFeatAdjOffset

    static final int sofaUriFeatAdjOffset

  - ### sofaArrayFeatAdjOffset

    static final int sofaArrayFeatAdjOffset

  - ### annotBaseSofaFeatAdjOffset

    static final int annotBaseSofaFeatAdjOffset

  - ### beginFeatAdjOffset

    static final int beginFeatAdjOffset

  - ### endFeatAdjOffset

    static final int endFeatAdjOffset

  - ### langFeatAdjOffset

    static final int langFeatAdjOffset